package com.nantian.cloud.jljc.service.impl;

import com.nantian.cloud.jljc.entity.TReportProduct;
import com.nantian.cloud.jljc.mapper.TReportProductMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.service.TReportProductService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 报表1-1主要产品表 服务实现类
 *
 * @author stz
 * @since 2020-09-16
 */
@Service("tReportProductService")
public class TReportProductServiceImpl extends ServiceImpl<TReportProductMapper, TReportProduct> implements TReportProductService {

    @Override
    public List<TReportProduct> getProductsByReportId(Long reportId) {
        return baseMapper.getProductsByReportId(reportId);
    }

    @Override
    public List<String> getProductName(Long reportId) {
        return baseMapper.getProductName(reportId);
    }

    @Override
    public List<TReportProduct> getProductsByReportIds(Long id1, Long id2, Long id3) {
        return baseMapper.getProductsByReportIds(id1, id2, id3);
    }
}
